summaryrefslogtreecommitdiffstats
path: root/bin/etc-update
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-11-03 22:50:59 +0000
committerZac Medico <zmedico@gentoo.org>2007-11-03 22:50:59 +0000
commit1aed24e1532d22b9a7ef1cdb579e410e91f5a081 (patch)
treefb5c5a6e492b3ac72d257bb49af21acae1fbdd81 /bin/etc-update
parent42be9dd916d0c5318154e142903f94f05b83595a (diff)
downloadportage-1aed24e1532d22b9a7ef1cdb579e410e91f5a081.tar.gz
portage-1aed24e1532d22b9a7ef1cdb579e410e91f5a081.tar.bz2
portage-1aed24e1532d22b9a7ef1cdb579e410e91f5a081.zip
if mode=1 and `dialog` is not usable, abort #197990 by DominikBuerkle
(trunk r8402) svn path=/main/branches/2.1.2/; revision=8406
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/etc-update b/bin/etc-update
index 7239ed07b..bb1160a31 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -541,6 +541,13 @@ else
fi
fi
+if [[ ${mode} == "1" ]] ; then
+ if ! type dialog >/dev/null || ! dialog --help >/dev/null ; then
+ echo "ERROR: mode=1 and 'dialog' not found or not executable, aborting"
+ exit 1
+ fi
+fi
+
#echo "rm_opts: $rm_opts, mv_opts: $mv_opts, cp_opts: $cp_opts"
#echo "pager: $pager, diff_command: $diff_command, merge_command: $merge_command"